Create workbook
Creates a new workbook.
Request
POST
https://api.datalens.tech/rpc/createWorkbook
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"collectionId": "example",
"title": "example",
"description": "example"
}
|
Name |
Description |
|
title |
Type: string Title of the workbook. Example: |
|
collectionId |
Type: string | null ID of the collection in which to create the workbook. Example: |
|
description |
Type: string Description of the workbook. Example: |
Responses
200 OK
Response
Body
application/json
{
"workbookId": "example",
"collectionId": "example",
"title": "example",
"description": "example",
"tenantId": "example",
"meta": {
"importId": "example"
},
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"status": "creating",
"operation": {
"id": "example",
"description": "example",
"createdBy": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"modifiedAt": {
"seconds": "example",
"nanos": 0.5
},
"metadata": {},
"done": true
}
}
|
Name |
Description |
||||
|
collectionId |
Type: string | null ID of the collection the workbook belongs to. Example: |
||||
|
createdAt |
Type: string Creation timestamp. Example: |
||||
|
createdBy |
Type: string ID of the user who created the workbook. Example: |
||||
|
description |
Type: string | null Description of the workbook. Example: |
||||
|
meta |
All of 2 types
Metadata associated with the workbook. Example
|
||||
|
operation |
Type: DatalensOperation Asynchronous datalens operation. Example
|
||||
|
tenantId |
Type: string ID of the DataLens tenant. Example: |
||||
|
title |
Type: string Title of the workbook. Example: |
||||
|
updatedAt |
Type: string Last update timestamp. Example: |
||||
|
updatedBy |
Type: string ID of the user who last updated the workbook. Example: |
||||
|
workbookId |
Type: string Unique identifier of the workbook. Example: |
||||
|
status |
Type: string Status of the workbook. Enum: |
DatalensOperation
Asynchronous datalens operation.
|
Name |
Description |
||||
|
createdAt |
Type: object
Operation creation timestamp. Example
|
||||
|
createdBy |
Type: string ID of the user who created the operation. Example: |
||||
|
description |
Type: string Description of the operation. Example: |
||||
|
done |
Type: boolean Indicates if the operation has completed. |
||||
|
id |
Type: string Unique identifier of the operation. Example: |
||||
|
metadata |
Type: objectMetadata associated with the operation. Example
|
||||
|
modifiedAt |
Type: object
Operation last modification timestamp. Example
|
Example
{
"id": "example",
"description": "example",
"createdBy": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"modifiedAt": {
"seconds": "example",
"nanos": 0.5
},
"metadata": {},
"done": true
}